Open CASCADE Technology  6.9.0
Public Member Functions

BRepClass_FaceExplorer Class Reference

Provide an exploration of a BRep Face for the classification. Return UV edges. More...

#include <BRepClass_FaceExplorer.hxx>

Public Member Functions

 BRepClass_FaceExplorer (const TopoDS_Face &F)
 
Standard_Boolean Reject (const gp_Pnt2d &P) const
 Should return True if the point is outside a bounding volume of the face. More...
 
Standard_Boolean Segment (const gp_Pnt2d &P, gp_Lin2d &L, Standard_Real &Par)
 Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. More...
 
Standard_Boolean OtherSegment (const gp_Pnt2d &P, gp_Lin2d &L, Standard_Real &Par)
 Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. Each call gives another segment. More...
 
void InitWires ()
 Starts an exploration of the wires. More...
 
Standard_Boolean MoreWires () const
 Returns True if there is a current wire. More...
 
void NextWire ()
 Sets the explorer to the next wire. More...
 
Standard_Boolean RejectWire (const gp_Lin2d &L, const Standard_Real Par) const
 Returns True if the wire bounding volume does not intersect the segment. More...
 
void InitEdges ()
 Starts an exploration of the edges of the current wire. More...
 
Standard_Boolean MoreEdges () const
 Returns True if there is a current edge. More...
 
void NextEdge ()
 Sets the explorer to the next edge. More...
 
Standard_Boolean RejectEdge (const gp_Lin2d &L, const Standard_Real Par) const
 Returns True if the edge bounding volume does not intersect the segment. More...
 
void CurrentEdge (BRepClass_Edge &E, TopAbs_Orientation &Or) const
 Current edge in current wire and its orientation. More...
 

Detailed Description

Provide an exploration of a BRep Face for the classification. Return UV edges.

Constructor & Destructor Documentation

BRepClass_FaceExplorer::BRepClass_FaceExplorer ( const TopoDS_Face F)

Member Function Documentation

void BRepClass_FaceExplorer::CurrentEdge ( BRepClass_Edge E,
TopAbs_Orientation Or 
) const

Current edge in current wire and its orientation.

void BRepClass_FaceExplorer::InitEdges ( )

Starts an exploration of the edges of the current wire.

void BRepClass_FaceExplorer::InitWires ( )

Starts an exploration of the wires.

Standard_Boolean BRepClass_FaceExplorer::MoreEdges ( ) const

Returns True if there is a current edge.

Standard_Boolean BRepClass_FaceExplorer::MoreWires ( ) const

Returns True if there is a current wire.

void BRepClass_FaceExplorer::NextEdge ( )

Sets the explorer to the next edge.

void BRepClass_FaceExplorer::NextWire ( )

Sets the explorer to the next wire.

Standard_Boolean BRepClass_FaceExplorer::OtherSegment ( const gp_Pnt2d P,
gp_Lin2d L,
Standard_Real Par 
)

Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections. Each call gives another segment.

Standard_Boolean BRepClass_FaceExplorer::Reject ( const gp_Pnt2d P) const

Should return True if the point is outside a bounding volume of the face.

Standard_Boolean BRepClass_FaceExplorer::RejectEdge ( const gp_Lin2d L,
const Standard_Real  Par 
) const

Returns True if the edge bounding volume does not intersect the segment.

Standard_Boolean BRepClass_FaceExplorer::RejectWire ( const gp_Lin2d L,
const Standard_Real  Par 
) const

Returns True if the wire bounding volume does not intersect the segment.

Standard_Boolean BRepClass_FaceExplorer::Segment ( const gp_Pnt2d P,
gp_Lin2d L,
Standard_Real Par 
)

Returns in <L>, <Par> a segment having at least one intersection with the face boundary to compute intersections.


The documentation for this class was generated from the following file: